## org.jfree.chart.labels
Interface XYLabelGenerator

All Known Implementing Classes:
  HighLowItemLabelGenerator, StandardXYLabelGenerator, SymbolicXYItemLabelGenerator

    public interface XYLabelGenerator

Interface for a label generator for plots that use data from an `XYDataset`.

Method Summary
`java.lang.String` `generateLabel(XYDataset dataset, int series, int item)` Generates a label for the specified item.

Method Detail

### generateLabel

    java.lang.String generateLabel(XYDataset dataset,
                                   int series,
                                   int item)

  Generates a label for the specified item. The label is typically a formatted version of the data value, but any text can be used.

  Parameters:
    `dataset` - the dataset (`null` not permitted).
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The label (possibly `null`).